package xyz.danielcortes.controllers.categoria;

import java.util.List;
import xyz.danielcortes.framework.BaseTableModel;
import xyz.danielcortes.models.Categoria;
import xyz.danielcortes.repository.CategoriaRepository;
import xyz.danielcortes.views.categoria.CategoriaListPanel;

public class CategoriaListController {
  private CategoriaRepository categoriaRepository;
  private CategoriaListPanel view;

  public CategoriaListController (CategoriaListPanel view) {
    this.view = view;
    this.categoriaRepository = new CategoriaRepository();
    this.loadCategoriaTable();
  }

  public void reload() {this.loadCategoriaTable();}

  private void loadCategoriaTable() {
    List<Categoria> categorias = this.categoriaRepository.getAll();
    BaseTableModel<Categoria> model = this.view.getCategoriaModel();
    model.addRows(categorias);
  }

  public CategoriaListPanel getView() { return view; }
}
